Method: networks.companies.batchUpdate

Batch updates Company objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/companies:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where [Companies][] will be updated. Format: networks/{networkCode} The parent field in the UpdateCompanyRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateCompanyRequest)
    }
  ]
}
Fields
requests[]

object (UpdateCompanyRequest)

Required. The Company objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for [companies.batchUpdate][] method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "companies": [
    {
      object (Company)
    }
  ]
}
Fields
companies[]

object (Company)

The Company objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateCompanyRequest

Request object for [companies.patch][] method.

JSON representation
{
  "company": {
    object (Company)
  },
  "updateMask": string
}
Fields
company

object (Company)

Required. The Company to update.

The Company's name is used to identify the Company to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".